import PageHome from '$/pages/site/Home.svelte'
import PagePerfil from '$/pages/usuarios/Perfil.svelte'
import PageError from '$/pages/site/Error.svelte'
import PageAplicaciones from '$/pages/aplicaciones/Admin.svelte'
import PageUsuarios from '$/pages/usuarios/Admin.svelte'
import PageUsuarioCreate from '$/pages/usuarios/Usuario.svelte'
import PageUsuarioModifica from '$/pages/usuarios/Usuario.svelte'
import PageComunas from '$/pages/comunas/Admin.svelte'
import PagePersonas from '$/pages/personas/Admin.svelte'
import PagePersonaCreate from '$/pages/personas/Persona.svelte'
import PagePersonaModifica from '$/pages/personas/Persona.svelte'
import PageMapaParaderos from '$/pages/mapas/Paraderos.svelte'
import PageMapaRutas from '$/pages/mapas/Rutas.svelte'
import PageRoles from '$/pages/roles/Admin.svelte'
import PageRolesyAplicaciones from '$/pages/rolesaplicaciones/Admin.svelte'
import PageParaderos from '$/pages/paraderos/Home.svelte'
import PageRutas from "$/pages/rutas/Home.svelte";

export const routes = [
    { path: '/', component: PageHome },
    { path: '/perfil', component: PagePerfil },
    { path: '/aplicaciones', component: PageAplicaciones },
    { path: '/usuarios', component: PageUsuarios },
    { path: '/usuarios/nuevo', component: PageUsuarioCreate },
    { path: '/usuarios/:login', component: PageUsuarioModifica },
    { path: '/roles', component: PageRoles },
    { path: '/rolesaplicaciones', component: PageRolesyAplicaciones },
    { path: '/comunas', component: PageComunas },
    { path: '/personas', component: PagePersonas },
    { path: '/personas/nuevo', component: PagePersonaCreate },
    { path: '/personas/:rut', component: PagePersonaModifica },
    { path: '/mapas/paraderos', component: PageMapaParaderos },
    { path: '/mapas/rutas', component: PageMapaRutas },
    { path: '/paraderos', component: PageParaderos },
    { path: '/rutas', component: PageRutas },
    { path: '*', component: PageError },
]